tys.fitGroups.linkProducts()
Moves products into the group (they then use its garment).
linkProducts(id: string, params: LinkProductsRequest, options?: RequestOptions): Promise<FitGroup>Parameters
Section titled “Parameters”idstringRequiredThe fit group ID.
paramsLinkProductsRequestRequiredProperties
product_idsstring[]RequiredoptionsRequestOptionsOptionalReturns
Section titled “Returns”Promise<FitGroup>: The fit group.
Example
Section titled “Example”await tys.fitGroups.linkProducts(group.id, { product_ids: [white.id] });tys.fit_groups.link_products(group["id"], product_ids=[white["id"]])curl -X POST https://api.tryyoursize.com/v1/fit_groups/<fit_group_id>/products \ -H "Authorization: Bearer $TRYYOURSIZE_SECRET_KEY" \ -H "TYS-Version: 2026-10-25" \ -H "Content-Type: application/json" \ -d '{"product_ids":["<product_id>"]}'See also
Section titled “See also”Was this page helpful?
Thank you. We read every answer.